Get a webhook
Returns the source definition of the supplied webhook, including its URL, headers, event filters, and state. Returns 400 webhook_not_found if the id does not exist or is not accessible.
Authorizations
Path Parameters
Response
Webhook definition.
- Option 1
- Option 2
- Option 3
- Option 4
Stored client webhook definition. Fields name, url, client_key_id, request, response_handler, enabled, description, default_method, and retry_intervals are unevaluated and appear in buildtime-evaluatable form.
The client key id as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The default method as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The description as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
The request as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookRuntimeContext.
if no webhook response status is provided, we will retry non 2xx webhook requests. Buildtime expressions use WebhookBuildtimeContext. Runtime expressions use WebhookResponseContext.
The retry intervals as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
RFC 5545 duration string.
^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$CLIENT RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The url as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use WebhookBuildtimeContext.
